MaAnt · SKU RF-RFC010
MaAnt KM1 Electric Quick Grinder for Tweezers and Precision Tools
$13.49
$14.99
-10% · You save $1.50
● In Stock
- Multi-functional, covering all scenaros: 7000 - 15000 variable speed range, with wide application scope. It can quickly polish hard woods, resins and metals
- PWM stepless speed regulation, equipped with 4 types of abrasive discs suitable for grinding and repairing various blades
- Say goodbye to power limitations: With a rotational speed of up to 15,000 rpm It can be used to polish various materials
Quantity
Min. Order: 1
| Brand | MaAnt |
| SKU | RF-RFC010 |
| Compatible Model | Universal / 通用 |
| Voltage / Plug | - |
| Power | - |
| Temperature | - |
| Warranty | 12 months |
| Min. Order | 1 pcs |
Orders are dispatched within 48 hours from Shenzhen. Express shipping takes 5-9 business days, economy shipping 12-20 business days. Free express shipping on orders over $300.00.
Package Includes: 1 x main unit, 1 x power cable, 1 x English user manual, required accessories and fixtures. Retail boxes are available on request for bulk orders.
T/T bank transfer, PayPal, Wise, Western Union, Alipay and credit card. Bulk orders support 30% deposit with balance before shipment.
Related Products
-18%
2UUL
2UUL DA79 Mini MicroTip Sharpener for Quickly Sharpening Repairing Tips of Tweezers and Precision Tools
$20.49
$24.99
CODE: RF-RFC003
-12%
2UUL
2UUL SC22 SpareScrew12 Screws for iPhone Repairs (1200Pcs/Pack)
$7.49
$8.49
CODE: RF-RFC004
-24%
WYLIE
WYLIE MORO-35 Grinding Tool for Polishing Blades/Tweezers/Iron Tips
$18.99
$24.99
CODE: RF-RFC005
-18%
2UUL
2UUL SC12 SpareScrew12 Phillips Screws for Android Phone Repairs (1200Pcs/Pack)
$4.49
$5.49
CODE: RF-RFC006
-33%
2UUL
2UUL Back Cover Sealing Adhesive for iP14-17 Series (5pcs/Pack)
$1.99
$2.99
CODE: RF-RFC007
-14%
2UUL
2UUL SC13 IP Color Screw Charge Port Spare Screw Kit (360pcs/Box)
$9.49
$10.99
CODE: RF-RFC009